-- TimerSeconds=5

local t = Def.ActorFrame{
	LoadActor("back1")..{
		InitCommand=cmd(FullScreen;diffuse,color("0.8,1.0,0.8,1"));
	};
	-- tiles 2
	LoadActor("back3")..{
		InitCommand=cmd(CenterX;y,SCREEN_CENTER_Y+180;diffuse,color("0.8,1.0,0.8,1");zoomto,SCREEN_WIDTH,32;customtexturerect,0,0,WideScale(5,6.671875),1);
		OnCommand=cmd(texcoordvelocity,-0.3,0);
	};
	-- tiles 3
	LoadActor("back3")..{
		InitCommand=cmd(CenterX;y,SCREEN_CENTER_Y-180;diffuse,color("0.8,1.0,0.8,1");zoomto,SCREEN_WIDTH,32;customtexturerect,0,0,WideScale(5,6.671875),1);
		OnCommand=cmd(texcoordvelocity,0.3,0);
	};
	LoadActor("back2")..{
		InitCommand=cmd(zoom,1;x,SCREEN_LEFT;y,SCREEN_BOTTOM;diffuse,color("0.8,1.0,0.8,1"););
		OnCommand=cmd(spin;effectmagnitude,0,50,0;);
	};
	LoadActor("back2")..{
		InitCommand=cmd(diffuse,color("0.8,1.0,0.8,1");zoom,1;x,SCREEN_RIGHT;y,SCREEN_TOP;);
		OnCommand=cmd(spin;effectmagnitude,0,50,0;);
	};
	LoadActor("back2")..{
		InitCommand=cmd(diffuse,color("0.8,1.0,0.8,1");zoom,1;x,SCREEN_LEFT;y,SCREEN_TOP;);
		OnCommand=cmd(spin;effectmagnitude,0,50,0;);
	};
	LoadActor("back2")..{
		InitCommand=cmd(diffuse,color("0.8,1.0,0.8,1");zoom,1;x,SCREEN_RIGHT;y,SCREEN_BOTTOM;);
		OnCommand=cmd(spin;effectmagnitude,0,50,0;);
	};
	LoadActor("back2")..{
		InitCommand=cmd(diffuse,color("0.8,1.0,0.8,1");zoom,1;x,SCREEN_LEFT;y,SCREEN_BOTTOM;spin;effectmagnitude,50,0,0;);
		OnCommand=cmd();
	};
	LoadActor("back2")..{
		InitCommand=cmd(diffuse,color("0.8,1.0,0.8,1");zoom,1;x,SCREEN_RIGHT;y,SCREEN_TOP;spin;effectmagnitude,50,0,0;);
		OnCommand=cmd();
	};
	LoadActor("back2")..{
		InitCommand=cmd(diffuse,color("0.8,1.0,0.8,1");zoom,1;x,SCREEN_LEFT;y,SCREEN_TOP;spin;effectmagnitude,50,0,0;);
		OnCommand=cmd();
	};
	LoadActor("back2")..{
		InitCommand=cmd(diffuse,color("0.8,1.0,0.8,1");zoom,1;x,SCREEN_RIGHT;y,SCREEN_BOTTOM;spin;effectmagnitude,50,0,0;);
		OnCommand=cmd();
	};
};

return t;